package org.seasar.jsf.processor;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.TagProcessor;

/**
 * @author higa
 *  
 */
public class SelectOneMenuProcessor extends TagProcessorImpl {

	private static final String INJECT = "s:selectOneMenu";

	public SelectOneMenuProcessor() {
		super(INJECT);
	}

	public void addChild(TagProcessor child) {
		if (child instanceof TextProcessor
				|| getProperty(JsfConstants.ITEMS_ATTR) != null) {
			return;
		}
		super.addChild(child);
	}
}